# CodeNarcPlugin

abstract class CodeNarcPlugin : AbstractCodeQualityPlugin<T>

CodeNarc Plugin.

#### See also

<a href="https://docs.gradle.org/current/userguide/codenarc_plugin.html">CodeNarc plugin reference</a>

## Constructors

CodeNarcPlugin
Link copied to clipboard
constructor()

## Properties

DEFAULT_CODENARC_VERSION
Link copied to clipboard
val DEFAULT_CODENARC_VERSION: String = "3.6.0-groovy-4.0"

## Functions

apply
Link copied to clipboard
fun apply(project: ProjectInternal)